boost::sort::detail::offset_less_than< Data_type, Unsigned_char_type > Struct Template Reference

`#include <string_sort.hpp>`

## Public Member Functions

| offset_less_than (size_t char_offset)
bool | operator() (const Data_type &x, const Data_type &y) const

## Public Attributes

size_t | fchar_offset

## Constructor & Destructor Documentation

template<class Data_type , class Unsigned_char_type >

boost::sort::detail::offset_less_than< Data_type, Unsigned_char_type >::offset_less_than | ( | size_t | char_offset | ) |

inline

## Member Function Documentation

template<class Data_type , class Unsigned_char_type >

bool boost::sort::detail::offset_less_than< Data_type, Unsigned_char_type >::operator() | ( | const Data_type & | x,
|  | const Data_type & | y
| ) |  | const

inline

## Member Data Documentation

template<class Data_type , class Unsigned_char_type >

size_t boost::sort::detail::offset_less_than< Data_type, Unsigned_char_type >::fchar_offset

The documentation for this struct was generated from the following file:

- I:/modular-boost/libs/sort/include/boost/sort/spreadsort/detail/string_sort.hpp